# $Revision: 1.52 $, $Date: 2002/10/19 14:45:23 $
Summary:	Security wrapper for tcp daemons
Summary(de):	Sicherheitspackung fr tcp-Dmonen
Summary(fr):	Enveloppe de scurit pour les dmons tcp
Summary(pl):	Wrapper bezpieczestwa dla demonw tcp
Summary(tr):	TCP sreleri iin gvenlik sarmalaycs
Name:		tcp_wrappers
Version:	7.6
Release:	27
License:	distributable
Group:		Networking/Admin
Source0:	ftp://coast.cs.purdue.edu/pub/tools/unix/tcp_wrappers/%{name}_%{version}.tar.gz
Source1:	hosts.allow
Source2:	hosts.deny
Patch0:		http://www.imasy.or.jp/~ume/ipv6/%{name}_7.6-ipv6-1.9.diff.gz
Patch1:		%{name}-fix.patch
Patch2:		%{name}-bug11881.patch
Patch3:		%{name}-bug17795.patch
Patch4:		%{name}-bug17847.patch
Patch5:		%{name}-fixgethostbyname.patch
Patch6:		%{name}-alarm.patch
Patch7:		%{name}-man_fixes.patch
BuildRequires:	libtool
Requires:	libwrap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With this package you can monitor and filter incoming requests for the
SYSTAT, FINGER, FTP, TELNET, RLOGIN, RSH, EXEC, TFTP, TALK, and other
network services.

%description -l fr
Avec ce paquetage, vous pouvez grer et filtrer les requtes entrantes
pour SYSTAT, FINGER, FTP, TELNET, RLOGIN, RSH, EXEC, TFTP, TALK et
autres services rseau.

%description -l pl
Z tym pakietem moesz monitorowa i filtrowa nadchodzce proby do
SYSTAT, FINGER, FTP, TELNET, RLOGIN, RSH, EXEC, TFTP, TALK, i innych
usug sieciowych.

%description -l tr
Bu paket, SYSTAT, FINGER, FTP, TELNET, RLOGIN, RSH, EXEC, TFTP, TALK
ve dier a hizmetleri iin gelen istekleri izlemenizi ve isteinize
gre szmenizi salar.

%package -n libwrap
Summary:	Security wrapper access control library
Summary(pl):	Biblioteki wrappera bezpieczestwa
Group:		Libraries
Requires(post):	/sbin/ldconfig

%description -n libwrap
Security wrapper access control library which implement a rule-based
access control language with optional shell commands that are executed
when a rule fires.

%description -n libwrap -l pl
Biblioteki wrappera bezpieczestwa, ktre zawieraj implementacj
kontroli dostpu bazujc na jzyku regu, opcjonalnie z komendami
powoki wykowywanymi zalenie od ustawionej reguki.

%package -n libwrap-devel
Summary:	Security wrapper access control library
Summary(pl):	Biblioteki wrappera bezpieczestwa
Group:		Libraries
Requires:	libwrap = %{version}-%{release}

%description -n libwrap-devel
Security wrapper access control library which implement a rule-based
access control language with optional shell commands that are executed
when a rule fires.

%description -n libwrap-devel -l pl
Biblioteki wrappera bezpieczestwa, ktre zawieraj implementacj
kontroli dostpu bazujc na jzyku regu, opcjonalnie z komendami
powoki wykowywanymi zalenie od ustawionej reguki.

%package -n libwrap-static
Summary:	Security wrapper access control library (static version)
Summary(pl):	Biblioteki wrappera bezpieczestwa (wersja statyczna)
Group:		Libraries
Requires:	libwrap-devel = %{version}-%{release}

%description -n libwrap-static
Security wrapper access control library which implement a rule-based
access control language with optional shell commands that are executed
when a rule fires.

%description -n libwrap-static -l pl
Biblioteki wrappera bezpieczestwa, ktre zawieraj implementacj
kontroli dostpu bazujc na jzyku regu, opcjonalnie z komendami
powoki wykowywanymi zalenie od ustawionej reguki.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__make} linux CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/tcpd \
	$RPM_BUILD_ROOT{%{_mandir}/man{3,5,8},%{_libdir},%{_includedir},%{_sbindir}}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

install	hosts_access.3			$RPM_BUILD_ROOT%{_mandir}/man3
install {hosts_access,hosts_options}.5	$RPM_BUILD_ROOT%{_mandir}/man5
install {tcpd,tcpdchk,tcpdmatch}.8	$RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/tcpd

echo ".so hosts_access.5" > $RPM_BUILD_ROOT%{_mandir}/man5/hosts.allow.5
echo ".so hosts_access.5" > $RPM_BUILD_ROOT%{_mandir}/man5/hosts.deny.5

%post -n libwrap
/sbin/ldconfig
if [ -f /etc/hosts.allow -o -f /etc/host.deny ]; then
	mv -f /etc/tcpd/hosts.allow /etc/tcpd/hosts.allow.newrpm
	mv -f /etc/tcpd/hosts.deny  /etc/tcpd/hosts.deny.newrpm
	mv -f /etc/hosts.{allow,deny} /etc/tcpd
fi

%postun -n libwrap -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BLURB CHANGES README* DISCLAIMER Banners.Makefile
%dir %{_sysconfdir}/tcpd
%{_mandir}/man8/*
%attr(755,root,root) %{_sbindir}/*

%files -n libwrap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tcpd/hosts.*
%attr(755,root,root) %{_libdir}/libwrap.so.*.*
%{_mandir}/man5/*

%files -n libwrap-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwrap.so
%{_includedir}/tcpd.h
%{_mandir}/man3/*

%files -n libwrap-static
%defattr(644,root,root,755)
%{_libdir}/libwrap.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tcp_wrappers.spec,v $
Revision 1.52  2002/10/19 14:45:23  radzio
- move some manpages (hosts_access.5, hosts_allow.5, hosts_deny.5)
  to libwrap subpackages
- rel 27

Revision 1.51  2002/10/18 12:55:45  kloczek
- relase 26,
- mve hosts.{allow,deny} %config files to libwrap subpackage,
- use new %doc.

Revision 1.50  2002/02/23 04:49:03  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/02/19 03:04:05  kloczek
- typo.

Revision 1.47  2002/02/19 02:55:20  kloczek
- release 25: added man_fixes patch with corrections hosts.{allow,deny}
  paths in man pages (must be /etc/tcpd).

Revision 1.46  2002/02/01 14:55:38  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.45  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.43  2001/08/08 19:08:59  kloczek
- release 24,
- pass CC="%%{__cc}" in make parameters for allow build using current libtool.

Revision 1.42  2001/07/16 10:15:58  kloczek
- release 23: added using rpm automation.

Revision 1.41  2001/05/01 21:14:39  baggins
- release 22
- one more fix for alarm(2)

Revision 1.40  2001/04/26 13:38:16  baggins
- release 21
- better fix for alarm(2) and signals problem

Revision 1.39  2001/04/19 12:05:15  baggins
- release 20
- fixed alarm handling

Revision 1.38  2001/02/08 06:57:55  kloczek
- release 19,
- merge rawhide patches:
-- bug17795 - permit hosts.{allow,deny} to be assembled from included
   components,
-- bug17847 - permit '*' and '?' wildcard matches on hostnames,
-- gethostbyname - fix gethostbyname to work better with dot "." notation.

Revision 1.37  2000/10/25 01:29:36  kloczek
- release 16,
- added bug11881 patch with security fix from RH,
- updated ipv6 patch to 1.9.

Revision 1.36  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.35  2000/05/10 18:42:06  kloczek
- release 14,
- spec adapterized and fiew cosmetics.

Revision 1.34  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.33  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.32  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.31  1999/12/22 20:17:19  kloczek
- release 13.

Revision 1.30  1999/12/21 22:50:02  wiget
new version from Arkadiusz Mikiewicz <misiek@pld.org.pl>

Revision 1.28  1999/08/12 11:24:55  misiek
update of IPv6 patch

Revision 1.27  1999/07/28 00:53:43  kloczek
- another typo in stripping.

Revision 1.26  1999/07/28 00:31:22  kloczek
- typo.

Revision 1.25  1999/07/28 00:27:53  kloczek
- added stripping binaries and shared libs.

Revision 1.24  1999/07/19 22:14:39  kloczek
- typo.

Revision 1.23  1999/07/19 21:17:51  kloczek
- fixed permission on shared libraries (must be 755),
- added runing /sbin/ldconfig in %post, %postun for libwrap,
- libwrap.so moved to devel.

Revision 1.22  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.21  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

Revision 1.20  1999/07/12 12:47:45  kloczek
- changed permission to hosts.* filesa and added (noreplace) to %config.

Revision 1.19  1999/07/11 13:53:48  misiek
one patch instead two

Revision 1.18  1999/07/09 16:22:14  kloczek
- added line on top spec file with cvs tags

Revision 1.17  1999/07/09 10:51:45  misiek
fixed permissions on /etc/tcpd/*

Revision 1.16  1999/07/09 10:41:38  misiek
new ipv6 patch

* Thu Apr 15 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [7.6-8]
- added gzipping %doc,
- Fix: set <uid>.<gid> to root.bin on /etc/tcpd.

* Wed Nov 18 1998  Wojtek lusarczyk <wojtek@SHADOW.EU.ORG>
- added some patches prepared by Maciej W. Rycki <macro@amg.gda.pl>.

* Sun Nov  8 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [7.6-7]
- in tcpw-config.patch added modifications informs that hosts.{allow,deny}
  files now placed in /etc/tcpd,
- changed permission on /etc/tcpd to 750

* Sat Sep 26 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [7.6-6]
- added pl translation.

* Thu Aug 18 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [7.6-5]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source and %setup,
- added libwrap subpackage,
- fiew simplification in %install,
- hosts.{allow,deny} moved to this package to separated directoty /etc/tcpd
  for this files and banners from setup (also added %verify rules for
  this files),
- hosts.allow(5) and hosts.deny(5) man pages are now maked as nroff include
  to hosts_access(5) instead making sym link to hosts_access.5 (this allow
  compress man pages in future),
- added %post section with moving previouse hosts.{allow,deny} to /etc/tcpd,
- added %attr and %defattr macros in %files (allow build package from
  non-root account).
